USE [MediaLibrary]
GO
/****** Object:  Table [dbo].[ImageEntry]    Script Date: 14/12/2018 00:20:30 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ImageEntry](
	[ImageID] [int] IDENTITY(1,1) NOT NULL,
	[EntryID] [int] NOT NULL,
	[FileTypeID] [int] NOT NULL,
	[ImageFileName] [varchar](255) NOT NULL,
	[Height] [int] NOT NULL,
	[Width] [int] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ImageID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[ImageEntry]  WITH CHECK ADD FOREIGN KEY([EntryID])
REFERENCES [dbo].[MediaEntry] ([EntryID])
GO
ALTER TABLE [dbo].[ImageEntry]  WITH CHECK ADD FOREIGN KEY([FileTypeID])
REFERENCES [dbo].[ImageFileTypes] ([FileTypeID])
GO
